## INTRODUCTION

WEBFORM INTEGRATION WITH PIPEDRIVE  
The Webform Integration with Pipedrive module is designed to integrate 
Drupal's Webform submissions with Pipedrive, a customer relationship 
management (CRM) platform. This module enables seamless transfer of 
form data from a Drupal website to Pipedrive, streamlining lead 
management and data synchronization between the two platforms.

## REQUIREMENTS

To enable integration with Pipedrive.
Ensure that the Webform module is installed and enabled 
before using this module.

## INSTALLATION

Install the module as you would any other contributed Drupal module.  
Refer to the Installing Modules documentation for detailed instructions.

## CONFIGURATION

To use the Webform Integration Pipedrive module:

1. **Enable the Module**  
   - Navigate to Administration > Extend.  
   - Search for Webform Integration Pipedrive.  
   - Enable the module.

2. **Configure the Module**  
   After enabling the module, configure the Pipedrive API settings:  
   - Go to Administration > Configuration > Web Services > Webform 
     Pipedrive Configurations.  
   - Provide the following details in the configuration form:  
     - **Access Token**: Enter your Pipedrive API access token 
      for authentication.  
     - **Endpoint URL**: Provide the Pipedrive API endpoint URL,
      e.g., `https://api.pipedrive.com/`.  
   - Save the configuration to enable integration.

3. **Add the Pipedrive Handler to a Webform**  
   - Navigate to Structure > Webforms and select the Webform you want 
     to integrate with Pipedrive.  
   - Click on the Settings tab of the Webform.  
   - Under Handlers, click Add handler.  
   - Select the Pipedrive handler from the list of available handlers.

4. **Map Webform Fields to Pipedrive Fields**  
   - In the handler configuration, you will see a list of Webform fields 
     and their corresponding Pipedrive fields.  
   - Map each Webform field to the appropriate Pipedrive field based on 
     your data requirements.

5. **Save the Configuration**  
   - Once you have mapped all necessary fields and completed the configuration, 
     click Save.

6. **Test the Integration**  
   - Submit the Webform and verify that the data appears in 
     Pipedrive as expected.

7. **Maintainers**
- Manpreet Singh - [manpreet_singh](https://www.drupal.org/u/manpreet_singh)
- Pankaj Kumar  - [pankaj_lnweb](https://www.drupal.org/u/pankaj_lnweb)
- Shikha Dawar - [shikha_lnweb](https://www.drupal.org/u/shiks)
- Girish Kumar - https://www.drupal.org/u/girish_lnweb
- Praveen Rani - https://www.drupal.org/u/praveen-rani
